%default QUARK 'quark.jar';
%default RVIR '74.095890';
%default XC '3.5377800';
%default YC '16.789490';
%default ZC '6.6305500';

REGISTER $QUARK;

dark = LOAD '/dataset/cosmo25cmb.768g/cosmo25cmb.768g.00043_dark.bin' USING quark.pig.BinCosmoLoad('dark');

dark = FOREACH dark GENERATE $0 AS pid:long, $2 AS px:double, $3 AS py:double, $4 AS pz:double; 

filtered = FILTER dark BY (px-($XC-12.5)/25)*(px-($XC-12.5)/25)+(py-($YC-12.5)/25)*(py-($YC-12.5)/25)+(pz-($ZC-12.5)/25)*(pz-($ZC-12.5)/25)
	<= ($RVIR*$RVIR)/6.25e8;

filtered = FOREACH filtered GENERATE pid;

STORE filtered INTO 'q2_cosmo25.00043_dark';
