%default QUARK 'quark.jar';
%default UDFS 'udfs.jar';
%default MVIR '7.3076990e+10';
%default RVIR '129.87671'; --$6
%default XC '33.862300'; --$13
%default YC '42.126430'; --$14
%default ZC '46.386720'; --$15

REGISTER $QUARK;
REGISTER $UDFS;

gas = LOAD '/dataset/cosmo50cmb.256g2bwK/cosmo50cmb.256g2bwK.00024.gas.bin' USING quark.pig.BinCosmoLoad('gas');

gas = FOREACH gas GENERATE $0 AS pid:long, $2 AS px:double, $3 AS py:double, $4 AS pz:double, 
	$10 AS temp:double; 

filtered = FILTER gas BY (px-($XC-25)/50)*(px-($XC-25)/50)+(py-($YC-25)/50)*(py-($YC-25)/50)+
	(pz-($ZC-25)/50)*(pz-($ZC-25)/50) <= ($RVIR*$RVIR)/2.5e9
	AND temp > udfs.VirialTemp($RVIR,$MVIR);

filtered = FOREACH filtered GENERATE pid;

STORE filtered INTO 'q3_cosmo50.00024_gas';
