%default QUARK 'quark.jar';
%default UDFS 'udfs.jar';
%default MVIR '4.6536196e+11';
%default RVIR '248.92960';
%default XC '36.223620'; --$13
%default YC '25.409210';
%default ZC '67.287220';

REGISTER $QUARK;
REGISTER $UDFS;

gas = LOAD '/dataset/dbtest128g/gas/dbtest128g.00024.gas.bin' USING quark.pig.BinCosmoLoad('gas');

gas = FOREACH gas GENERATE $0 AS pid:long, $2 AS px:double, $3 AS py:double, $4 AS pz:double, 
	$10 AS temp:double; 


filtered = FILTER gas BY (px-($XC-35.2112676056)/70.4225352113)*(px-($XC-35.2112676056)/70.4225352113)+
	(py-($YC-35.2112676056)/70.4225352113)*(py-($YC-35.2112676056)/70.4225352113)+
	(pz-($ZC-35.2112676056)/70.4225352113)*(pz-($ZC-35.2112676056)/70.4225352113) <= ($RVIR*$RVIR)/5.0e9
	AND temp > udfs.VirialTemp($RVIR,$MVIR);

filtered = FOREACH filtered GENERATE pid;

STORE filtered INTO 'q3_dbtest.00024_gas';
