%default QUARK 'quark.jar';
%default UDFS 'udfs.jar';
%default RVIR '74.095890';
%default MVIR '1.3595959e+10';
%default XC '3.5377800';
%default YC '16.789490';
%default ZC '6.6305500';

REGISTER $QUARK;
REGISTER $UDFS;

gas = LOAD '/dataset/cosmo25cmb.768g/cosmo25cmb.768g.00043_gas.bin' USING quark.pig.BinCosmoLoad('gas');

gas = FOREACH gas GENERATE $0 AS pid:long, $2 AS px:double, $3 AS py:double, $4 AS pz:double, 
	$10 AS temp:double; 

filtered = FILTER gas BY (px-($XC-12.5)/25)*(px-($XC-12.5)/25)+(py-($YC-12.5)/25)*(py-($YC-12.5)/25)+(pz-($ZC-12.5)/25)*(pz-($ZC-12.5)/25)
	<= ($RVIR*$RVIR)/6.25e8 
	AND temp > udfs.VirialTemp($RVIR,$MVIR);

filtered = FOREACH filtered GENERATE pid;

STORE filtered INTO 'q3_cosmo25.00043_gas';
