--default QUARK 'quark.jar';
REGISTER ./quark.jar;

rmf q4_cosmo25.00043.00060_gas;

gas43 = LOAD '/dataset/cosmo25cmb.768g/cosmo25cmb.768g.00043_gas.bin' USING quark.pig.BinCosmoLoad('gas');
gas60 = LOAD '/dataset/cosmo25cmb.768g/cosmo25cmb.768g.00060_gas.bin' USING quark.pig.BinCosmoLoad('gas');

gas43 = FOREACH gas43 GENERATE $0 AS pid:long;
gas60 = FOREACH gas60 GENERATE $0 AS pid:long;

groupedGas = COGROUP gas43 BY pid, gas60 BY pid PARALLEL 16;

selectedGas = FOREACH groupedGas GENERATE FLATTEN((IsEmpty(gas43) ? null : gas43)) as s43,FLATTEN((IsEmpty(gas60) ? null : gas60)) as s60;

selectedGas = FILTER selectedGas BY s60 is null;

--DESCRIBE selectedGas;

STORE selectedGas INTO 'q4_cosmo25.00043.00060_gas';
