%default QUARK 'quark.jar';
REGISTER $QUARK;

gas43 = LOAD '/dataset/cosmo25cmb.768g/cosmo25cmb.768g.00043_gas.bin' USING quark.pig.BinCosmoLoad('gas');
gas60 = LOAD '/dataset/cosmo25cmb.768g/cosmo25cmb.768g.00060_gas.bin' USING quark.pig.BinCosmoLoad('gas');


gas43 = FOREACH gas43 GENERATE $0 AS pid:long, $2 AS px:double, $3 AS py:double, $4 AS pz:double, $12 AS metals:double;
gas60 = FOREACH gas60 GENERATE $0 AS pid:long, $2 AS px:double, $3 AS py:double, $4 AS pz:double, $12 AS metals:double;

gas43 = FILTER gas43 BY metals == 0.0;
gas60 = FILTER gas60 BY metals > 0.0;

gasGrouped = COGROUP gas43 BY pid, gas60 BY pid PARALLEL 16;

selectedGas = FILTER gasGrouped BY NOT IsEmpty(gas43) AND NOT IsEmpty(gas60);

selectedGas = FOREACH selectedGas GENERATE group;

STORE selectedGas INTO 'q5_cosmo25.00043.00060_gas' USING BinStorage();
